const char patch00[] PROGMEM ={   
0,PC_WAVE,9,//experiment with this one for sure!
0,PC_ENV_VOL,128,//start off with a middle volume, less harsh sounding IMO
0,PC_ENV_SPEED,-15,//volume -= (4*15)
4,PC_ENV_SPEED,-7,//volume -= (10*7)
10,PC_NOTE_CUT,0,//make sure patch goes to 0 volume and is properly terminated
0,PATCH_END
};

const char patch01[] PROGMEM ={   
0,PC_WAVE,9,
0,PC_ENV_VOL,128,
0,PC_ENV_SPEED,-20,  
4,PC_ENV_SPEED,-7,
7,PC_NOTE_CUT,0,
0,PATCH_END
};

const char deal_card[] PROGMEM ={   
0,PC_NOISE_PARAMS,4,//experiment with this one for sure!
0,PC_ENV_VOL,40,//start off with a middle volume, less harsh sounding IMO
0,PC_ENV_SPEED,10,//volume -= (4*15)
1,PC_ENV_VOL,127,//start off with a middle volume, less harsh sounding IMO
1,PC_PITCH,60,
0,PC_NOTE_CUT,0,//make sure patch goes to 0 volume and is properly terminated
0,PATCH_END
};

const char turn_card[] PROGMEM ={   
0,PC_NOISE_PARAMS,2,//experiment with this one for sure!
0,PC_ENV_VOL,40,//start off with a middle volume, less harsh sounding IMO
0,PC_ENV_SPEED,20,//volume -= (4*15)
1,PC_ENV_VOL,127,//start off with a middle volume, less harsh sounding IMO
1,PC_PITCH,60,
0,PC_NOTE_CUT,0,//make sure patch goes to 0 volume and is properly terminated
0,PATCH_END
};

const char win_sound[] PROGMEM ={	
0,PC_WAVE,4,
0,PC_ENV_SPEED,-5,

0,PC_PITCH,52,
1,PC_NOTE_UP,2, 
1,PC_NOTE_UP,4, 
1,PC_NOTE_UP,6, 

1,PC_NOTE_DOWN,10,
1,PC_NOTE_UP,2, 
1,PC_NOTE_UP,4, 
1,PC_NOTE_UP,6, 

1,PC_NOTE_DOWN,10,
1,PC_NOTE_UP,2, 
1,PC_NOTE_UP,4, 
1,PC_NOTE_UP,6, 

1,PC_NOTE_DOWN,5,
1,PC_NOTE_UP,2, 
1,PC_NOTE_UP,4, 
1,PC_NOTE_UP,6, 
 
2,PC_NOTE_UP,2, 
2,PC_NOTE_UP,4, 
2,PC_NOTE_UP,6, 

3,PC_NOTE_DOWN,5,
3,PC_NOTE_UP,2, 
3,PC_NOTE_UP,4, 
3,PC_NOTE_UP,6, 
 
4,PC_NOTE_DOWN,5,
4,PC_NOTE_UP,2, 
4,PC_NOTE_UP,4, 
4,PC_NOTE_UP,6, 
1,PC_NOTE_CUT,0,
0,PATCH_END 
};

//FX: Loser
const char patch05[] PROGMEM ={ 
0,PC_WAVE,5,
0,PC_ENV_VOL,0xa0,
0,PC_PITCH,40,
5,PC_ENV_VOL,0x40,
2,PC_ENV_VOL,0xa0,
5,PC_NOTE_CUT,0,
0,PATCH_END
};

//FX: Moving
const char patch06[] PROGMEM ={ 
0,PC_WAVE,0,
0,PC_ENV_VOL,0xE0,
0,PC_ENV_SPEED,-20,
0,PC_PITCH,80,
2,PC_NOTE_CUT,0,
0,PATCH_END
};

//FX: Hold / Select
const char patch07[] PROGMEM ={ 
0,PC_WAVE,8,
0,PC_ENV_VOL,0xE0,
0,PC_ENV_SPEED,-20,
0,PC_PITCH,80,
2,PC_NOTE_DOWN,6,
2,PC_NOTE_DOWN,6,
2,PC_NOTE_CUT,0,
0,PATCH_END
};

//FX: Unhold
const char patch08[] PROGMEM ={ 
0,PC_WAVE,5,
0,PC_ENV_VOL,0xa0,
0,PC_PITCH,35,
5,PC_NOTE_CUT,0,
0,PATCH_END
};

const struct PatchStruct patches[] PROGMEM = {
{0,NULL,patch00,0,0},
{0,NULL,patch01,0,0},
{1,NULL,deal_card,0,0},
{1,NULL,turn_card,0,0},
{0,NULL,win_sound,0,0},
{0,NULL,patch05,0,0},
{0,NULL,patch06,0,0},
{0,NULL,patch07,0,0},
{0,NULL,patch08,0,0}
};//this will sound pretty good with this song, experiment with patches to find your flavor